Bug 255730 - lang/python39: Update to 3.9.5
Summary: lang/python39: Update to 3.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://docs.python.org/release/3.9.5...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-09 19:36 UTC by Yasuhiro Kimura
Modified: 2021-05-11 21:57 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
Patch file (2.62 KB, patch)
2021-05-09 19:36 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (4.91 KB, patch)
2021-05-10 18:24 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (9.24 KB, patch)
2021-05-10 21:24 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-05-09 19:36:22 UTC
Created attachment 224796 [details]
Patch file

Update to 3.9.5

ChangeLog: https://docs.python.org/release/3.9.5/whatsnew/changelog.html#python-3-9-5-final
Security: bffa40db-ad50-11eb-86b8-080027846a02
Comment 1 Yasuhiro Kimura freebsd_committer 2021-05-10 18:24:05 UTC
Created attachment 224815 [details]
Updated patch file

Update lang/python-doc-html too.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-05-10 20:08:11 UTC
@sunpoet

Bug #255729, comment #2 also applies to this bug report. So please wait committing for a while.

Best Regards.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-05-10 21:24:03 UTC
Created attachment 224821 [details]
Updated patch file

Add patch to fix build with 12.2-RELEASE.
Comment 4 commit-hook freebsd_committer 2021-05-11 21:55:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3e663731242d5f9dda2b03c26c6eae6300f5e089

commit 3e663731242d5f9dda2b03c26c6eae6300f5e089
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-05-11 21:46:14 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-05-11 21:47:34 +0000

    lang/python39: Update to 3.9.5

    Changes:        https://docs.python.org/release/3.9.5/whatsnew/changelog.html
    PR:             255730

 lang/python-doc-html/distinfo              |  18 ++--
 lang/python39/Makefile                     |   1 -
 lang/python39/Makefile.version             |   2 +-
 lang/python39/distinfo                     |   6 +-
 lang/python39/files/patch-freebsd-12 (new) | 128 +++++++++++++++++++++++++++++
 lang/python39/pkg-plist                    |   5 +-
 6 files changed, 144 insertions(+), 16 deletions(-)
Comment 5 Po-Chuan Hsieh freebsd_committer 2021-05-11 21:57:24 UTC
Committed. Thanks!